=== src/Makefile ===
#############################################################################
# Makefile for building: symfonie
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Mar 9 02:51:40 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake-qt4 -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtSql -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/phonon -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/phonon_compat -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lphonon -lQtDBus -lQtXml -lQtSql -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		symfonieplaylist.cpp \
		symfonieplaylistitem.cpp \
		symfonieplaylistitemfolder.cpp \
		symfonieplaylistitemfile.cpp \
		symfonieqslider.cpp \
		symfoniedb.cpp \
		symfoniesong.cpp \
		symfoniemetareader.cpp \
		symfoniethread.cpp \
		symfonieinfowindow.cpp \
		symfonierichtextdelegate.cpp \
		symfonietoolbar.cpp \
		symfonieaboutdialog.cpp \
		symfonietimerwindow.cpp \
		symfonieequalizerwindow.cpp \
		symfoniefiletypesdialog.cpp moc_mainwindow.cpp \
		moc_symfoniemediaplayer.cpp \
		moc_symfonieplaylist.cpp \
		moc_symfonieqslider.cpp \
		moc_symfoniedb.cpp \
		moc_symfoniesong.cpp \
		moc_symfoniemetareader.cpp \
		moc_symfonieinfowindow.cpp \
		moc_symfonierichtextdelegate.cpp \
		moc_symfonietoolbar.cpp \
		moc_symfonieaboutdialog.cpp \
		moc_symfonietimerwindow.cpp \
		moc_symfonieequalizerwindow.cpp \
		moc_symfoniefiletypesdialog.cpp
OBJECTS       = main.o \
		mainwindow.o \
		symfonieplaylist.o \
		symfonieplaylistitem.o \
		symfonieplaylistitemfolder.o \
		symfonieplaylistitemfile.o \
		symfonieqslider.o \
		symfoniedb.o \
		symfoniesong.o \
		symfoniemetareader.o \
		symfoniethread.o \
		symfonieinfowindow.o \
		symfonierichtextdelegate.o \
		symfonietoolbar.o \
		symfonieaboutdialog.o \
		symfonietimerwindow.o \
		symfonieequalizerwindow.o \
		symfoniefiletypesdialog.o \
		moc_mainwindow.o \
		moc_symfoniemediaplayer.o \
		moc_symfonieplaylist.o \
		moc_symfonieqslider.o \
		moc_symfoniedb.o \
		moc_symfoniesong.o \
		moc_symfoniemetareader.o \
		moc_symfonieinfowindow.o \
		moc_symfonierichtextdelegate.o \
		moc_symfonietoolbar.o \
		moc_symfonieaboutdialog.o \
		moc_symfonietimerwindow.o \
		moc_symfonieequalizerwindow.o \
		moc_symfoniefiletypesdialog.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = symfonie
DESTDIR       = 
TARGET        = symfonie

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_symfonieaboutdialog.h ui_symfonietimerwindow.h ui_symfonieequalizerwindow.h ui_symfoniefiletypesdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libphonon.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libphonon.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/symfonie1.0.0 || $(MKDIR) .tmp/symfonie1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/symfonie1.0.0/ && $(COPY_FILE) --parents mainwindow.h symfoniemediaplayer.h symfonieplaylist.h symfonieplaylistitem.h symfonieplaylistitemfolder.h symfonieplaylistitemfile.h symfonieqslider.h symfoniedb.h symfoniesong.h symfoniemetareader.h symfoniethread.h symfonieinfowindow.h symfonierichtextdelegate.h symfonietoolbar.h symfonieaboutdialog.h symfonietimerwindow.h symfonieequalizerwindow.h SymfonieConstants.h symfoniefiletypesdialog.h .tmp/symfonie1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp symfonieplaylist.cpp symfonieplaylistitem.cpp symfonieplaylistitemfolder.cpp symfonieplaylistitemfile.cpp symfonieqslider.cpp symfoniedb.cpp symfoniesong.cpp symfoniemetareader.cpp symfoniethread.cpp symfonieinfowindow.cpp symfonierichtextdelegate.cpp symfonietoolbar.cpp symfonieaboutdialog.cpp symfonietimerwindow.cpp symfonieequalizerwindow.cpp symfoniefiletypesdialog.cpp .tmp/symfonie1.0.0/ && $(COPY_FILE) --parents mainwindow.ui symfonieaboutdialog.ui symfonietimerwindow.ui symfonieequalizerwindow.ui symfoniefiletypesdialog.ui .tmp/symfonie1.0.0/ && (cd `dirname .tmp/symfonie1.0.0` && $(TAR) symfonie1.0.0.tar symfonie1.0.0 && $(COMPRESS) symfonie1.0.0.tar) && $(MOVE) `dirname .tmp/symfonie1.0.0`/symfonie1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/symfonie1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_symfoniemediaplayer.cpp moc_symfonieplaylist.cpp moc_symfonieqslider.cpp moc_symfoniedb.cpp moc_symfoniesong.cpp moc_symfoniemetareader.cpp moc_symfonieinfowindow.cpp moc_symfonierichtextdelegate.cpp moc_symfonietoolbar.cpp moc_symfonieaboutdialog.cpp moc_symfonietimerwindow.cpp moc_symfonieequalizerwindow.cpp moc_symfoniefiletypesdialog.cpp
compiler_moc_header_clean:
