## symfonie 0.1-1

=== debian/changelog ===
symfonie (0.1-1) unstable; urgency=low

  * Initial release

 -- Cuong Tham <cuongtham@gmail.com>  Tue, 16 Feb 2010 04:09:05 -0800
