=== debian/control ===
Source: symfonie
Section: user/multimedia
Priority: extra
Maintainer: Cuong Tham <cuongtham@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev,libx11-dev,libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: symfonie
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A light weight directory based music player supports playback resuming, sleep timer, equalizer and more. 
 This is a preview package. The player is still under heavy development, though
 basic media features are supported.
 Here's list of features included in this build:
 - 8-band audio equalizer
 - Sleep timer
 - Resuming the playback from last opened state (still testing this)
 - Landscape/Portrait mode (Toolbars still need some more work)
 - Full screen mode
 - File system browser to browse MP3 files
